Name:           daap-sharp
Version:        0.3.3
Release:        3%{?dist}
Summary:        DAAP (Digial Audio Access Protocol) implementation using Mono

Group:          System Environment/Libraries
License:        LGPL
URL:		http://www.snorp.net/log/daap-sharp/         
Source0:        http://www.snorp.net/files/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel
BuildRequires:	avahi-sharp
Requires:	mono-core
   

%description
daap-sharp is a DAAP (Digial Audio Access Protocol) implementation.
It is used by Apple's iTunes software to share music.


%package devel
Summary:	Development libraries and headers for daap-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}


%description devel
Libararies and header file for developing against daap-sharp.


%prep
%setup -q
%patch0 -p1 -b .build


%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package daap-sharp /gacdir %{_prefix}/lib /root $RPM_BUILD_ROOT%{_prefix}/lib"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_prefix}/lib/%{name}


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue May 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.3.3-3
- Add devel package for *.pc file.
- Add Req on mono-core.
- Use cleaner URL.

* Tue May  9 2006 Brian Pepple <bdpepple@ameritech.net> - 0.3.3-2
- Add patch to fix build on x86_64.

* Sat May  6 2006 Brian Pepple <bdpepple@ameritech.net> - 0.3.3-1
- Initial FE RPM spec.

